{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/contact/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/contact/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-3">
        <a href="{{ path('person_management_contact_overview', {'personId': person.id}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakt, {{ contact.getName() }}</span>
        {{ form_widget(contactDeleteForm.delete, {'label': 'LÖSCHEN', 'id': contactDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Die Ansprechperson und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um die Ansprechperson endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">ansprechperson_{{ contact.getId() }}</span>
            </p>
            {{ form_start(contactDeleteForm, {'attr': {'id': contactDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'person_management/form/contact/delete_form.html.twig' with {'form': contactDeleteForm} only %}
            {{ form_row(contactDeleteForm._token) }}
            {{ form_end(contactDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card p-4">
            {% include 'person_management/form/contact/contact_form.html.twig' with {'form': contactForm} only %}
        </div>
    </div>
{% endblock %}
